Package org.eclipse.zest.core.widgets

# Class DefaultSubgraph.LabelSubgraphFactory

java.lang.Object
org.eclipse.zest.core.widgets.DefaultSubgraph.LabelSubgraphFactory

All Implemented Interfaces:
  `SubgraphFactory`

Enclosing class:
  `DefaultSubgraph`

public static class DefaultSubgraph.LabelSubgraphFactory extends Object implements SubgraphFactory

## Constructor Summary

Constructors
Constructor
Description
`LabelSubgraphFactory()`

## Method Summary

Modifier and Type
Method
Description
`SubgraphLayout`
`createSubgraph(NodeLayout[] nodes, LayoutContext context)`
`void`
`setDefaultBackgroundColor(Color c)`
Changes the default background color for newly created subgraphs.
`void`
`setDefualtForegroundColor(Color c)`
Changes the default foreground color for newly created subgraphs.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LabelSubgraphFactory

public LabelSubgraphFactory()

## Method Details

### setDefualtForegroundColor

public void setDefualtForegroundColor(Color c)
Changes the default foreground color for newly created subgraphs.

Parameters:
  `c` - color to use

### setDefaultBackgroundColor

public void setDefaultBackgroundColor(Color c)
Changes the default background color for newly created subgraphs.

Parameters:
  `c` - color to use

### createSubgraph

public SubgraphLayout createSubgraph(NodeLayout[] nodes, LayoutContext context)

Specified by:
  `createSubgraph` in interface `SubgraphFactory`